Support

Frequently Asked Questions

Will iToner run on my computer?

Last Updated Jan 9, 2013

iToner is only available for the Mac OS, and requires Mac OS X 10.7.4 or better. iToner it fully compatible with both Lion (10.7) and Mountain Lion (10.8).

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account